## org.apache.aries.subsystem.core.internal
Class SubsystemUri

    java.lang.Object
      org.apache.aries.subsystem.core.internal.SubsystemUri

    public class SubsystemUri

extends Object

Constructor Summary
`SubsystemUri(String location)`
`SubsystemUri(String symbolicName, org.osgi.framework.Version version, URL url)`

Method Summary
`String` `getSymbolicName()`
`URL` `getURL()`
`org.osgi.framework.Version` `getVersion()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubsystemUri

    public SubsystemUri(String location)
                 throws URISyntaxException,
                        MalformedURLException

Throws:
  `URISyntaxException`
  `MalformedURLException`

### SubsystemUri

    public SubsystemUri(String symbolicName,
                        org.osgi.framework.Version version,
                        URL url)

Method Detail

### getSymbolicName

    public String getSymbolicName()

### getURL

    public URL getURL()

### getVersion

    public org.osgi.framework.Version getVersion()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.